Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002068TestLinkTest Executepublic2009-02-05 18:032009-03-17 15:40
Reporterdave57i 
Assigned Toamitkhullar 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 3 
Fixed in Version1.8 RC 5 
Summary0002068: would be fine to see requirements when TC is executed
Description1- create some TC and add requirement
2- when this TC is executed, only short description is shown.
3- would be fine to see requirements too (see picture in attachment)
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon TL-Execute-requirements.PNG [^] (46,489 bytes) 2009-02-05 18:03


png file icon Draft.PNG [^] (43,354 bytes) 2009-02-05 18:21


zip file icon fix.zip [^] (14,789 bytes) 2009-02-10 17:17
zip file icon new_fix-2068.zip [^] (18,992 bytes) 2009-02-12 13:27

- Relationships

-  Notes
(0005266)
fman (administrator)
2009-02-05 18:13

>> when this TC is executed, only short description is shown.
short description of what item ?
please explain

>> 3- would be fine to see requirements too
is not clear what you want to see?
just title ?
complete content of requirement?

Please explain better what you want.

Consider always this more info means more data to transfer => more time to get data on screen => perfomance problems
(0005268)
dave57i (reporter)
2009-02-05 18:21

short description - I mean, that requirements are not shown
>>3 - just show requirements like are presented in TC (See picture Draft.jpg in attachment)
(0005290)
dave57i (reporter)
2009-02-06 16:29

Let me explain it better: typical situation for tester is that (during testing) he could look into SRS for further details. In a case of using e.g. word or excel templates, he opens test script in one window and SRS in the second window, where he is searching mapped SRS items.

The great thing on TestLink is the requirements traceability, but to have it 100% usable, tester must see the mapped requirements during testing with access for complete SRS item, e.g. in a form of link, which could be opened in the another window.
(0005428)
mhavlat (reporter)
2009-02-12 16:07

Changed target release.
(0005431)
fman (administrator)
2009-02-12 18:00

@Amit:
I will review again, add to code and test.
Then will give you my feedback

one other point:
Get PHPdocumentor, and start using it's style of comments for function headers, please.

Regards
(0005502)
fman (administrator)
2009-02-16 15:28

Please gets last CVS code and see if we can close this
(0005519)
amitkhullar (reporter)
2009-02-17 13:13

Works fine. Thanks.

Amit
(0005528)
mhavlat (reporter)
2009-02-18 03:52

I receive satisfying confirmation from user as well.

- Issue History
Date Modified Username Field Change
2009-02-05 18:03 dave57i New Issue
2009-02-05 18:03 dave57i File Added: TL-Execute-requirements.PNG
2009-02-05 18:13 fman Note Added: 0005266
2009-02-05 18:21 dave57i Note Added: 0005268
2009-02-05 18:21 dave57i File Added: Draft.PNG
2009-02-05 23:29 fman Status new => assigned
2009-02-05 23:29 fman Assigned To => amitkhullar
2009-02-06 16:29 dave57i Note Added: 0005290
2009-02-09 02:53 amitkhullar Status assigned => acknowledged
2009-02-10 13:48 amitkhullar Note Added: 0005347
2009-02-10 13:48 amitkhullar Status acknowledged => assigned
2009-02-10 13:48 amitkhullar Assigned To amitkhullar => fman
2009-02-10 13:49 amitkhullar Note Deleted: 0005347
2009-02-10 15:33 fman Assigned To fman => amitkhullar
2009-02-10 17:17 amitkhullar File Added: fix.zip
2009-02-12 13:27 amitkhullar File Added: new_fix-2068.zip
2009-02-12 16:07 mhavlat Note Added: 0005428
2009-02-12 18:00 fman Note Added: 0005431
2009-02-16 15:28 fman Note Added: 0005502
2009-02-16 15:28 fman Status assigned => feedback
2009-02-17 13:13 amitkhullar Status feedback => resolved
2009-02-17 13:13 amitkhullar Fixed in Version => next DEV - 1.8 RC 5
2009-02-17 13:13 amitkhullar Resolution open => fixed
2009-02-17 13:13 amitkhullar Note Added: 0005519
2009-02-18 03:52 mhavlat Note Added: 0005528
2009-03-17 15:40 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker